OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
SmallStackItem< Titem, Tindex > Struct Template Reference

Base class for SmallStack. More...

`#include <smallstack_type.hpp>`

Inheritance diagram for SmallStackItem< Titem, Tindex >:

## Public Member Functions
| SmallStackItem (const Titem &value, Tindex next)
| Create a new item.

## Data Fields
Tindex | next
| Pool index of next item.
Titem | value
| Value of current item.

## Detailed Description

### template<typename Titem, typename Tindex>
struct SmallStackItem< Titem, Tindex >

Base class for SmallStack.

We cannot add this into SmallStack itself as certain compilers don't like it.

Definition at line 98 of file smallstack_type.hpp.

## Constructor & Destructor Documentation

template<typename Titem , typename Tindex >

SmallStackItem< Titem, Tindex >::SmallStackItem | ( | const Titem & | value,
|  | Tindex | next
| ) |  |
| inline

Create a new item.

Parameters

  value | Value of the item.
  next | Next item in the stack.

Definition at line 107 of file smallstack_type.hpp.

The documentation for this struct was generated from the following file:

- src/core/smallstack_type.hpp